<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RestorePackagesWithLockFile>true</RestorePackagesWithLockFile>
    </PropertyGroup>

    <Target Name="SetSourceRevisionId" BeforeTargets="InitializeSourceControlInformation">
        <Exec Command="../build_info.sh" IgnoreExitCode="false">
        </Exec>
    </Target>

    <ItemGroup>
        <EmbeddedResource Include="Database/**/*.sql" />
        <EmbeddedResource Watch="false" Include="..\.version" LogicalName="version"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Dapper" Version="2.1.35" />
        <PackageReference Include="Humanizer.Core" Version="2.14.1"/>
        <PackageReference Include="LazyCache" Version="2.4.0"/>
        <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.8"/>
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.8"/>
        <PackageReference Include="Newtonsoft.Json" Version="13.0.3"/>
        <PackageReference Include="NodaTime" Version="3.1.12"/>
        <PackageReference Include="NodaTime.Serialization.SystemTextJson" Version="1.2.0"/>
        <PackageReference Include="Npgsql" Version="8.0.5" />
        <PackageReference Include="Npgsql.NodaTime" Version="8.0.5" />
        <PackageReference Include="Polly.Core" Version="8.4.2"/>
        <PackageReference Include="Polly.RateLimiting" Version="8.4.2"/>
        <PackageReference Include="prometheus-net" Version="8.2.1"/>
        <PackageReference Include="prometheus-net.AspNetCore" Version="8.2.1"/>
        <PackageReference Include="Remora.Sdk" Version="3.1.2"/>
        <PackageReference Include="Remora.Discord" Version="2024.3.0-github11168366508"/>
        <PackageReference Include="Serilog" Version="4.0.2"/>
        <PackageReference Include="Serilog.AspNetCore" Version="8.0.2"/>
        <PackageReference Include="Serilog.Extensions.Hosting" Version="8.0.0"/>
        <PackageReference Include="Serilog.Sinks.Console" Version="6.0.0"/>
        <PackageReference Include="Serilog.Sinks.Seq" Version="8.0.0"/>
        <PackageReference Include="StackExchange.Redis" Version="2.8.16"/>
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.8.1"/>
    </ItemGroup>

</Project>
